<!DOCTYPE html>
<html>
  <head>
    <title>Notifications Grouping</title>
    <meta charset="utf-8">
    <style>
      :root {
      --color-background: #fefefe;
      --color-foreground: black;
      }
      @media (prefers-color-scheme: dark) {
        :root {
          --color-background: #1a1a1a;
          --color-foreground: white;
        }
      }
      /*
      @media (prefers-contrast: more) {
        body * { filter: contrast(400%); } // sadly seems to only work on the videos and images 
      }
      */
      body { 
        font-family: 'Inter', Sans-serif;
        color: var(--color-foreground);
        background-color: var(--color-background);
        max-width: 60rem;
        margin: 0 auto;
        padding: 4rem;
        font-size: 14pt;
        line-height: 1.5em;
      }
      h1, h2, h3 {
        font-family: 'Cantarell', Sans-serif;
        font-weight: 800;
        position: relative;
        z-index: 2;
        margin: 1rem 0 1em 0;
        line-height: 1.2em;
        opacity: 0.7;
      }
      p {
        margin: 2em 0 2em 0;
      }
      
      h1 { font-weight: 900; font-size: 250%; }
      h2 { font-size: 150%; }
      
      video {
        width: 100%;
        height: auto;
        border-radius: 12px;
        margin: 1rem 0 2rem;
      }
    </style>
  </head>
<body>
<h1>Notifications</h1>
<p>These are preliminary animated mockups. Subject to change.</p>

<h2>List of Apps &gt; List of Threads</h2>

<p>Notifications are grouped by app, and threads are combined into single bubbles. There's also explicit expanding/collapsing in the popover to show the full content and reveal actions.</p>

<video id="maximize" loop controls muted autoplay>
    <source src="img/1-list-of-apps.webm" type="video/webm" />
</video>
  
<h2>Expanding the Thread</h2>

<p>Notification can expand if it contains a thread. In more busy configurations, the App header may scroll out of view.</p>
    
<video id="maximize" loop controls muted autoplay>
    <source src="img/2-threads.webm" type="video/webm" />
</video>

<h2>Collapsed List: New Notification</h2>

<p>When a new notification arrives into a collapsed stack, the message stack gets compacted, doesn't indicate real number of messages in thickness.</p>
    
<video id="maximize" loop controls muted autoplay>
    <source src="img/3-new-when-collapsed.webm" type="video/webm" />
</video>

</body>    
</html>
